services:
  dozzle:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    container_name: dozzle
    image: amir20/dozzle:v10.3.0
    ports:
      - 8083:8080
    networks:
      - ip4net
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.dozzle.rule=Host(`dozzle.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.dozzle.entrypoints=https"
      - "traefik.http.routers.dozzle.tls=true"
